Quote refund insurance policies
Using this method, we can check the refund insurance policies available for one or more products and one or more access dates.
If IsInsurancePolicyEnabled is not defined as true in the catalog PartnerSettings, or if the provider/category/product does NOT have the IsInsurable field from the catalog defined as true, then this call is not necessary.
If the provider/category/product has the IsInsurable field from the catalog defined as true, then this call must be made every time you want to offer the customer the option of purchasing a refund insurance policy for 1 or N products.
Why are we talking about refund insurance policy?
When finishing a sale, there is a possibility of purchasing a refund insurance policy for one or more of the products included in the sale.
Access method
POST /activity/InsurancePolicyCheck
Request structure
LanguageCode: (string). Defines the language in which the texts will be displayed. ISO 639-1 format.Sale: (object). Sale data. It is important to note that ALL items included in the sale must be sent (not only the insurable products), except for those added by sale flow rules.Products: (list). Array with all the products included in the sale. Combined products must not be included here.Id: (string). Unique identifier used as an echo identifier, meaning it will be returned in the response data.ProductId: (string). Product identifier.AccessDate: (date). Access date. ISO 8601 format (yyyy-MM-dd).
CombinedProducts: (list). Array of combined products.Id: (string). Unique identifier used as an echo identifier, meaning it will be returned in the response data.CombinedProductId: (string). Combined product identifier.Products: (list). Array of products included in the combined product, with the same structure as the product list used in the sale.
Packages: (list). Array of packages.EchoToken: (string). Token that identifies the request sequence. See extended catalog.PackageId: (string). Package identifier.Activities: (list). Activities included in the package.Id: (string). Unique identifier used as an echo identifier, meaning it will be returned in the response data.ProductId: (string). Product identifier.AccessDate: (date). Access date. ISO 8601 format (yyyy-MM-dd).
Accommodations: (list). Array of accommodations.EchoToken: (string). Token that identifies the request sequence. See extended catalog.RateId: (string). Rate identifier.
DiscountCouponCodes: (object). Array of discount coupon codes included in the sale. This information is necessary in order to calculate the final price of the policy to be quoted.
Request examples
{
"Sale": {
"Products": [
{
"Id": "65ec27f1-4319-437d-9d83-995c5491a6fd",
"ProductId": "wfrp7nuupbfzw",
"AccessDate": "2024-09-20T00:00:00"
}
]
}
}
Response structure
InsurancePolicies: (list). Array of refund insurance policies.Id: (string). Policy identifier.Name: (string). Policy name.Quote: (decimal). Policy quote amount, i.e. the price charged to the customer for the policy.CoverageAmount: (decimal). Coverage amount of the policy.Sale: (object). Sale information.Products: (list). Array of included products.Id: (string). Echo identifier returned in the response.ProductId: (string). Product identifier.AccessDate: (date). Access date. ISO 8601 format (yyyy-MM-dd).Price: (decimal). Product price for that date.CoverageAmount: (decimal). Amount covered by the refund insurance.IsCovered: (boolean). Indicates whether it is covered by the refund insurance.
Success(boolean): value that indicates whether the call was processed correctly or not.Timestamp(dateTime): time at which the request was processed. ISO 8601 format (yyyy-MM-ddThh:mm:ss.fffffff).ErrorMessage(string): error message explaining why the request was not successful. If it was correct, it will returnnull.ErrorCodes(string[]): list of codes that identify the errors that occurred in the call.ErrorEntityBreakDown(list): list that contains objects with the name and ID in case of error.Id(string): identifierName(string): related name of the identifier.
Response examples
{
"InsurancePolicies": [
{
"Id": "36s9grrjeid6c",
"Name": "Seguros experticket",
"Quote": 0.59900000000000,
"CoverageAmount": 59.90000000000000,
"Sale": {
"Products": [
{
"ProductId": "wfrp7nuupbfzw",
"Id": "65ec27f1-4319-437d-9d83-995c5491a6fd",
"AccessDate": "2024-09-20T00:00:00",
"Price": 59.90,
"CoverageAmount": 59.90000000000000,
"IsCovered": true
}
]
}
}
],
"Success": true,
"Timestamp": "2024-08-20T17:05:16.0663946"
}